#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice_trm.h>

/* SCB_1_SCB_IRQ */
#define SCB_1_SCB_IRQ__INTC_CLR_EN_REG CYREG_CM0_ICER
#define SCB_1_SCB_IRQ__INTC_CLR_PD_REG CYREG_CM0_ICPR
#define SCB_1_SCB_IRQ__INTC_MASK 0x400u
#define SCB_1_SCB_IRQ__INTC_NUMBER 10u
#define SCB_1_SCB_IRQ__INTC_PRIOR_MASK 0xC00000u
#define SCB_1_SCB_IRQ__INTC_PRIOR_NUM 3u
#define SCB_1_SCB_IRQ__INTC_PRIOR_REG CYREG_CM0_IPR2
#define SCB_1_SCB_IRQ__INTC_SET_EN_REG CYREG_CM0_ISER
#define SCB_1_SCB_IRQ__INTC_SET_PD_REG CYREG_CM0_ISPR

/* SCB_1_SCBCLK */
#define SCB_1_SCBCLK__DIVIDER_MASK 0x0000FFFFu
#define SCB_1_SCBCLK__ENABLE CYREG_CLK_DIVIDER_A00
#define SCB_1_SCBCLK__ENABLE_MASK 0x80000000u
#define SCB_1_SCBCLK__MASK 0x80000000u
#define SCB_1_SCBCLK__REGISTER CYREG_CLK_DIVIDER_A00

/* SCB_1_SCB */
#define SCB_1_SCB__BIST_CONTROL CYREG_SCB0_BIST_CONTROL
#define SCB_1_SCB__BIST_DATA CYREG_SCB0_BIST_DATA
#define SCB_1_SCB__CTRL CYREG_SCB0_CTRL
#define SCB_1_SCB__EZ_DATA00 CYREG_SCB0_EZ_DATA00
#define SCB_1_SCB__EZ_DATA01 CYREG_SCB0_EZ_DATA01
#define SCB_1_SCB__EZ_DATA02 CYREG_SCB0_EZ_DATA02
#define SCB_1_SCB__EZ_DATA03 CYREG_SCB0_EZ_DATA03
#define SCB_1_SCB__EZ_DATA04 CYREG_SCB0_EZ_DATA04
#define SCB_1_SCB__EZ_DATA05 CYREG_SCB0_EZ_DATA05
#define SCB_1_SCB__EZ_DATA06 CYREG_SCB0_EZ_DATA06
#define SCB_1_SCB__EZ_DATA07 CYREG_SCB0_EZ_DATA07
#define SCB_1_SCB__EZ_DATA08 CYREG_SCB0_EZ_DATA08
#define SCB_1_SCB__EZ_DATA09 CYREG_SCB0_EZ_DATA09
#define SCB_1_SCB__EZ_DATA10 CYREG_SCB0_EZ_DATA10
#define SCB_1_SCB__EZ_DATA11 CYREG_SCB0_EZ_DATA11
#define SCB_1_SCB__EZ_DATA12 CYREG_SCB0_EZ_DATA12
#define SCB_1_SCB__EZ_DATA13 CYREG_SCB0_EZ_DATA13
#define SCB_1_SCB__EZ_DATA14 CYREG_SCB0_EZ_DATA14
#define SCB_1_SCB__EZ_DATA15 CYREG_SCB0_EZ_DATA15
#define SCB_1_SCB__EZ_DATA16 CYREG_SCB0_EZ_DATA16
#define SCB_1_SCB__EZ_DATA17 CYREG_SCB0_EZ_DATA17
#define SCB_1_SCB__EZ_DATA18 CYREG_SCB0_EZ_DATA18
#define SCB_1_SCB__EZ_DATA19 CYREG_SCB0_EZ_DATA19
#define SCB_1_SCB__EZ_DATA20 CYREG_SCB0_EZ_DATA20
#define SCB_1_SCB__EZ_DATA21 CYREG_SCB0_EZ_DATA21
#define SCB_1_SCB__EZ_DATA22 CYREG_SCB0_EZ_DATA22
#define SCB_1_SCB__EZ_DATA23 CYREG_SCB0_EZ_DATA23
#define SCB_1_SCB__EZ_DATA24 CYREG_SCB0_EZ_DATA24
#define SCB_1_SCB__EZ_DATA25 CYREG_SCB0_EZ_DATA25
#define SCB_1_SCB__EZ_DATA26 CYREG_SCB0_EZ_DATA26
#define SCB_1_SCB__EZ_DATA27 CYREG_SCB0_EZ_DATA27
#define SCB_1_SCB__EZ_DATA28 CYREG_SCB0_EZ_DATA28
#define SCB_1_SCB__EZ_DATA29 CYREG_SCB0_EZ_DATA29
#define SCB_1_SCB__EZ_DATA30 CYREG_SCB0_EZ_DATA30
#define SCB_1_SCB__EZ_DATA31 CYREG_SCB0_EZ_DATA31
#define SCB_1_SCB__I2C_CFG CYREG_SCB0_I2C_CFG
#define SCB_1_SCB__I2C_CTRL CYREG_SCB0_I2C_CTRL
#define SCB_1_SCB__I2C_M_CMD CYREG_SCB0_I2C_M_CMD
#define SCB_1_SCB__I2C_STATUS CYREG_SCB0_I2C_STATUS
#define SCB_1_SCB__I2C_S_CMD CYREG_SCB0_I2C_S_CMD
#define SCB_1_SCB__INTR_CAUSE CYREG_SCB0_INTR_CAUSE
#define SCB_1_SCB__INTR_I2C_EC CYREG_SCB0_INTR_I2C_EC
#define SCB_1_SCB__INTR_I2C_EC_MASK CYREG_SCB0_INTR_I2C_EC_MASK
#define SCB_1_SCB__INTR_I2C_EC_MASKED CYREG_SCB0_INTR_I2C_EC_MASKED
#define SCB_1_SCB__INTR_M CYREG_SCB0_INTR_M
#define SCB_1_SCB__INTR_M_MASK CYREG_SCB0_INTR_M_MASK
#define SCB_1_SCB__INTR_M_MASKED CYREG_SCB0_INTR_M_MASKED
#define SCB_1_SCB__INTR_M_SET CYREG_SCB0_INTR_M_SET
#define SCB_1_SCB__INTR_RX CYREG_SCB0_INTR_RX
#define SCB_1_SCB__INTR_RX_MASK CYREG_SCB0_INTR_RX_MASK
#define SCB_1_SCB__INTR_RX_MASKED CYREG_SCB0_INTR_RX_MASKED
#define SCB_1_SCB__INTR_RX_SET CYREG_SCB0_INTR_RX_SET
#define SCB_1_SCB__INTR_S CYREG_SCB0_INTR_S
#define SCB_1_SCB__INTR_SPI_EC CYREG_SCB0_INTR_SPI_EC
#define SCB_1_SCB__INTR_SPI_EC_MASK CYREG_SCB0_INTR_SPI_EC_MASK
#define SCB_1_SCB__INTR_SPI_EC_MASKED CYREG_SCB0_INTR_SPI_EC_MASKED
#define SCB_1_SCB__INTR_S_MASK CYREG_SCB0_INTR_S_MASK
#define SCB_1_SCB__INTR_S_MASKED CYREG_SCB0_INTR_S_MASKED
#define SCB_1_SCB__INTR_S_SET CYREG_SCB0_INTR_S_SET
#define SCB_1_SCB__INTR_TX CYREG_SCB0_INTR_TX
#define SCB_1_SCB__INTR_TX_MASK CYREG_SCB0_INTR_TX_MASK
#define SCB_1_SCB__INTR_TX_MASKED CYREG_SCB0_INTR_TX_MASKED
#define SCB_1_SCB__INTR_TX_SET CYREG_SCB0_INTR_TX_SET
#define SCB_1_SCB__RX_CTRL CYREG_SCB0_RX_CTRL
#define SCB_1_SCB__RX_FIFO_CTRL CYREG_SCB0_RX_FIFO_CTRL
#define SCB_1_SCB__RX_FIFO_RD CYREG_SCB0_RX_FIFO_RD
#define SCB_1_SCB__RX_FIFO_RD_SILENT CYREG_SCB0_RX_FIFO_RD_SILENT
#define SCB_1_SCB__RX_FIFO_STATUS CYREG_SCB0_RX_FIFO_STATUS
#define SCB_1_SCB__RX_MATCH CYREG_SCB0_RX_MATCH
#define SCB_1_SCB__SPI_CTRL CYREG_SCB0_SPI_CTRL
#define SCB_1_SCB__SPI_STATUS CYREG_SCB0_SPI_STATUS
#define SCB_1_SCB__STATUS CYREG_SCB0_STATUS
#define SCB_1_SCB__TX_CTRL CYREG_SCB0_TX_CTRL
#define SCB_1_SCB__TX_FIFO_CTRL CYREG_SCB0_TX_FIFO_CTRL
#define SCB_1_SCB__TX_FIFO_STATUS CYREG_SCB0_TX_FIFO_STATUS
#define SCB_1_SCB__TX_FIFO_WR CYREG_SCB0_TX_FIFO_WR
#define SCB_1_SCB__UART_CTRL CYREG_SCB0_UART_CTRL
#define SCB_1_SCB__UART_RX_CTRL CYREG_SCB0_UART_RX_CTRL
#define SCB_1_SCB__UART_RX_STATUS CYREG_SCB0_UART_RX_STATUS
#define SCB_1_SCB__UART_TX_CTRL CYREG_SCB0_UART_TX_CTRL

/* SCB_1_scl */
#define SCB_1_scl__0__DM__MASK 0x07u
#define SCB_1_scl__0__DM__SHIFT 0
#define SCB_1_scl__0__DR CYREG_PRT4_DR
#define SCB_1_scl__0__HSIOM CYREG_HSIOM_PORT_SEL4
#define SCB_1_scl__0__HSIOM_MASK 0x0000000Fu
#define SCB_1_scl__0__HSIOM_SHIFT 0u
#define SCB_1_scl__0__INTCFG CYREG_PRT4_INTCFG
#define SCB_1_scl__0__INTSTAT CYREG_PRT4_INTSTAT
#define SCB_1_scl__0__MASK 0x01u
#define SCB_1_scl__0__PC CYREG_PRT4_PC
#define SCB_1_scl__0__PC2 CYREG_PRT4_PC2
#define SCB_1_scl__0__PORT 4u
#define SCB_1_scl__0__PS CYREG_PRT4_PS
#define SCB_1_scl__0__SHIFT 0
#define SCB_1_scl__DR CYREG_PRT4_DR
#define SCB_1_scl__INTCFG CYREG_PRT4_INTCFG
#define SCB_1_scl__INTSTAT CYREG_PRT4_INTSTAT
#define SCB_1_scl__MASK 0x01u
#define SCB_1_scl__PC CYREG_PRT4_PC
#define SCB_1_scl__PC2 CYREG_PRT4_PC2
#define SCB_1_scl__PORT 4u
#define SCB_1_scl__PS CYREG_PRT4_PS
#define SCB_1_scl__SHIFT 0

/* SCB_1_sda */
#define SCB_1_sda__0__DM__MASK 0x38u
#define SCB_1_sda__0__DM__SHIFT 3
#define SCB_1_sda__0__DR CYREG_PRT4_DR
#define SCB_1_sda__0__HSIOM CYREG_HSIOM_PORT_SEL4
#define SCB_1_sda__0__HSIOM_MASK 0x000000F0u
#define SCB_1_sda__0__HSIOM_SHIFT 4u
#define SCB_1_sda__0__INTCFG CYREG_PRT4_INTCFG
#define SCB_1_sda__0__INTSTAT CYREG_PRT4_INTSTAT
#define SCB_1_sda__0__MASK 0x02u
#define SCB_1_sda__0__PC CYREG_PRT4_PC
#define SCB_1_sda__0__PC2 CYREG_PRT4_PC2
#define SCB_1_sda__0__PORT 4u
#define SCB_1_sda__0__PS CYREG_PRT4_PS
#define SCB_1_sda__0__SHIFT 1
#define SCB_1_sda__DR CYREG_PRT4_DR
#define SCB_1_sda__INTCFG CYREG_PRT4_INTCFG
#define SCB_1_sda__INTSTAT CYREG_PRT4_INTSTAT
#define SCB_1_sda__MASK 0x02u
#define SCB_1_sda__PC CYREG_PRT4_PC
#define SCB_1_sda__PC2 CYREG_PRT4_PC2
#define SCB_1_sda__PORT 4u
#define SCB_1_sda__PS CYREG_PRT4_PS
#define SCB_1_sda__SHIFT 1

/* Miscellaneous */
/* -- WARNING: define names containing LEOPARD or PANTHER are deprecated and will be removed in a future release */
#define CYDEV_DEBUG_PROTECT_OPEN 1
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_MEMBER_4A 2u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_DIE_PSOC4A 2u
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_PSOC4A
#define CYDEV_BCLK__HFCLK__HZ 24000000U
#define CYDEV_BCLK__HFCLK__KHZ 24000U
#define CYDEV_BCLK__HFCLK__MHZ 24U
#define CYDEV_BCLK__SYSCLK__HZ 24000000U
#define CYDEV_BCLK__SYSCLK__KHZ 24000U
#define CYDEV_BCLK__SYSCLK__MHZ 24U
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_PANTHER 3u
#define CYDEV_CHIP_DIE_PSOC5LP 4u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC4
#define CYDEV_CHIP_JTAG_ID 0x04C81193u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_MEMBER_5A 3u
#define CYDEV_CHIP_MEMBER_5B 4u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_4A
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_4A_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_PSOC4A_PRODUCTION
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REV_PANTHER_ES0 0u
#define CYDEV_CHIP_REV_PANTHER_ES1 1u
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CONFIGURATION_COMPRESSED 1
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_COMPRESSED
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_CONFIG_READ_ACCELERATOR 1
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUG_PROTECT CYDEV_DEBUG_PROTECT_OPEN
#define CYDEV_DEBUG_PROTECT_KILL 4
#define CYDEV_DEBUG_PROTECT_PROTECTED 2
#define CYDEV_HEAP_SIZE 0x0100
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_STACK_SIZE 0x0400
#define CYDEV_USE_BUNDLED_CMSIS 1
#define CYDEV_VARIABLE_VDDA 1
#define CYDEV_VDDA 3.3
#define CYDEV_VDDA_MV 3300
#define CYDEV_VDDD 3.3
#define CYDEV_VDDD_MV 3300
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
