.ifndef INCLUDED_CYFITTERGNU_INC
.set INCLUDED_CYFITTERGNU_INC, 1
.include "cydevicegnu_trm.inc"

/* SCB_1_SCB_IRQ */
.set SCB_1_SCB_IRQ__INTC_CLR_EN_REG, CYREG_CM0_ICER
.set SCB_1_SCB_IRQ__INTC_CLR_PD_REG, CYREG_CM0_ICPR
.set SCB_1_SCB_IRQ__INTC_MASK, 0x400
.set SCB_1_SCB_IRQ__INTC_NUMBER, 10
.set SCB_1_SCB_IRQ__INTC_PRIOR_MASK, 0xC00000
.set SCB_1_SCB_IRQ__INTC_PRIOR_NUM, 3
.set SCB_1_SCB_IRQ__INTC_PRIOR_REG, CYREG_CM0_IPR2
.set SCB_1_SCB_IRQ__INTC_SET_EN_REG, CYREG_CM0_ISER
.set SCB_1_SCB_IRQ__INTC_SET_PD_REG, CYREG_CM0_ISPR

/* SCB_1_SCBCLK */
.set SCB_1_SCBCLK__DIVIDER_MASK, 0x0000FFFF
.set SCB_1_SCBCLK__ENABLE, CYREG_CLK_DIVIDER_A00
.set SCB_1_SCBCLK__ENABLE_MASK, 0x80000000
.set SCB_1_SCBCLK__MASK, 0x80000000
.set SCB_1_SCBCLK__REGISTER, CYREG_CLK_DIVIDER_A00

/* SCB_1_SCB */
.set SCB_1_SCB__BIST_CONTROL, CYREG_SCB0_BIST_CONTROL
.set SCB_1_SCB__BIST_DATA, CYREG_SCB0_BIST_DATA
.set SCB_1_SCB__CTRL, CYREG_SCB0_CTRL
.set SCB_1_SCB__EZ_DATA00, CYREG_SCB0_EZ_DATA00
.set SCB_1_SCB__EZ_DATA01, CYREG_SCB0_EZ_DATA01
.set SCB_1_SCB__EZ_DATA02, CYREG_SCB0_EZ_DATA02
.set SCB_1_SCB__EZ_DATA03, CYREG_SCB0_EZ_DATA03
.set SCB_1_SCB__EZ_DATA04, CYREG_SCB0_EZ_DATA04
.set SCB_1_SCB__EZ_DATA05, CYREG_SCB0_EZ_DATA05
.set SCB_1_SCB__EZ_DATA06, CYREG_SCB0_EZ_DATA06
.set SCB_1_SCB__EZ_DATA07, CYREG_SCB0_EZ_DATA07
.set SCB_1_SCB__EZ_DATA08, CYREG_SCB0_EZ_DATA08
.set SCB_1_SCB__EZ_DATA09, CYREG_SCB0_EZ_DATA09
.set SCB_1_SCB__EZ_DATA10, CYREG_SCB0_EZ_DATA10
.set SCB_1_SCB__EZ_DATA11, CYREG_SCB0_EZ_DATA11
.set SCB_1_SCB__EZ_DATA12, CYREG_SCB0_EZ_DATA12
.set SCB_1_SCB__EZ_DATA13, CYREG_SCB0_EZ_DATA13
.set SCB_1_SCB__EZ_DATA14, CYREG_SCB0_EZ_DATA14
.set SCB_1_SCB__EZ_DATA15, CYREG_SCB0_EZ_DATA15
.set SCB_1_SCB__EZ_DATA16, CYREG_SCB0_EZ_DATA16
.set SCB_1_SCB__EZ_DATA17, CYREG_SCB0_EZ_DATA17
.set SCB_1_SCB__EZ_DATA18, CYREG_SCB0_EZ_DATA18
.set SCB_1_SCB__EZ_DATA19, CYREG_SCB0_EZ_DATA19
.set SCB_1_SCB__EZ_DATA20, CYREG_SCB0_EZ_DATA20
.set SCB_1_SCB__EZ_DATA21, CYREG_SCB0_EZ_DATA21
.set SCB_1_SCB__EZ_DATA22, CYREG_SCB0_EZ_DATA22
.set SCB_1_SCB__EZ_DATA23, CYREG_SCB0_EZ_DATA23
.set SCB_1_SCB__EZ_DATA24, CYREG_SCB0_EZ_DATA24
.set SCB_1_SCB__EZ_DATA25, CYREG_SCB0_EZ_DATA25
.set SCB_1_SCB__EZ_DATA26, CYREG_SCB0_EZ_DATA26
.set SCB_1_SCB__EZ_DATA27, CYREG_SCB0_EZ_DATA27
.set SCB_1_SCB__EZ_DATA28, CYREG_SCB0_EZ_DATA28
.set SCB_1_SCB__EZ_DATA29, CYREG_SCB0_EZ_DATA29
.set SCB_1_SCB__EZ_DATA30, CYREG_SCB0_EZ_DATA30
.set SCB_1_SCB__EZ_DATA31, CYREG_SCB0_EZ_DATA31
.set SCB_1_SCB__I2C_CFG, CYREG_SCB0_I2C_CFG
.set SCB_1_SCB__I2C_CTRL, CYREG_SCB0_I2C_CTRL
.set SCB_1_SCB__I2C_M_CMD, CYREG_SCB0_I2C_M_CMD
.set SCB_1_SCB__I2C_STATUS, CYREG_SCB0_I2C_STATUS
.set SCB_1_SCB__I2C_S_CMD, CYREG_SCB0_I2C_S_CMD
.set SCB_1_SCB__INTR_CAUSE, CYREG_SCB0_INTR_CAUSE
.set SCB_1_SCB__INTR_I2C_EC, CYREG_SCB0_INTR_I2C_EC
.set SCB_1_SCB__INTR_I2C_EC_MASK, CYREG_SCB0_INTR_I2C_EC_MASK
.set SCB_1_SCB__INTR_I2C_EC_MASKED, CYREG_SCB0_INTR_I2C_EC_MASKED
.set SCB_1_SCB__INTR_M, CYREG_SCB0_INTR_M
.set SCB_1_SCB__INTR_M_MASK, CYREG_SCB0_INTR_M_MASK
.set SCB_1_SCB__INTR_M_MASKED, CYREG_SCB0_INTR_M_MASKED
.set SCB_1_SCB__INTR_M_SET, CYREG_SCB0_INTR_M_SET
.set SCB_1_SCB__INTR_RX, CYREG_SCB0_INTR_RX
.set SCB_1_SCB__INTR_RX_MASK, CYREG_SCB0_INTR_RX_MASK
.set SCB_1_SCB__INTR_RX_MASKED, CYREG_SCB0_INTR_RX_MASKED
.set SCB_1_SCB__INTR_RX_SET, CYREG_SCB0_INTR_RX_SET
.set SCB_1_SCB__INTR_S, CYREG_SCB0_INTR_S
.set SCB_1_SCB__INTR_SPI_EC, CYREG_SCB0_INTR_SPI_EC
.set SCB_1_SCB__INTR_SPI_EC_MASK, CYREG_SCB0_INTR_SPI_EC_MASK
.set SCB_1_SCB__INTR_SPI_EC_MASKED, CYREG_SCB0_INTR_SPI_EC_MASKED
.set SCB_1_SCB__INTR_S_MASK, CYREG_SCB0_INTR_S_MASK
.set SCB_1_SCB__INTR_S_MASKED, CYREG_SCB0_INTR_S_MASKED
.set SCB_1_SCB__INTR_S_SET, CYREG_SCB0_INTR_S_SET
.set SCB_1_SCB__INTR_TX, CYREG_SCB0_INTR_TX
.set SCB_1_SCB__INTR_TX_MASK, CYREG_SCB0_INTR_TX_MASK
.set SCB_1_SCB__INTR_TX_MASKED, CYREG_SCB0_INTR_TX_MASKED
.set SCB_1_SCB__INTR_TX_SET, CYREG_SCB0_INTR_TX_SET
.set SCB_1_SCB__RX_CTRL, CYREG_SCB0_RX_CTRL
.set SCB_1_SCB__RX_FIFO_CTRL, CYREG_SCB0_RX_FIFO_CTRL
.set SCB_1_SCB__RX_FIFO_RD, CYREG_SCB0_RX_FIFO_RD
.set SCB_1_SCB__RX_FIFO_RD_SILENT, CYREG_SCB0_RX_FIFO_RD_SILENT
.set SCB_1_SCB__RX_FIFO_STATUS, CYREG_SCB0_RX_FIFO_STATUS
.set SCB_1_SCB__RX_MATCH, CYREG_SCB0_RX_MATCH
.set SCB_1_SCB__SPI_CTRL, CYREG_SCB0_SPI_CTRL
.set SCB_1_SCB__SPI_STATUS, CYREG_SCB0_SPI_STATUS
.set SCB_1_SCB__STATUS, CYREG_SCB0_STATUS
.set SCB_1_SCB__TX_CTRL, CYREG_SCB0_TX_CTRL
.set SCB_1_SCB__TX_FIFO_CTRL, CYREG_SCB0_TX_FIFO_CTRL
.set SCB_1_SCB__TX_FIFO_STATUS, CYREG_SCB0_TX_FIFO_STATUS
.set SCB_1_SCB__TX_FIFO_WR, CYREG_SCB0_TX_FIFO_WR
.set SCB_1_SCB__UART_CTRL, CYREG_SCB0_UART_CTRL
.set SCB_1_SCB__UART_RX_CTRL, CYREG_SCB0_UART_RX_CTRL
.set SCB_1_SCB__UART_RX_STATUS, CYREG_SCB0_UART_RX_STATUS
.set SCB_1_SCB__UART_TX_CTRL, CYREG_SCB0_UART_TX_CTRL

/* SCB_1_scl */
.set SCB_1_scl__0__DM__MASK, 0x07
.set SCB_1_scl__0__DM__SHIFT, 0
.set SCB_1_scl__0__DR, CYREG_PRT4_DR
.set SCB_1_scl__0__HSIOM, CYREG_HSIOM_PORT_SEL4
.set SCB_1_scl__0__HSIOM_MASK, 0x0000000F
.set SCB_1_scl__0__HSIOM_SHIFT, 0
.set SCB_1_scl__0__INTCFG, CYREG_PRT4_INTCFG
.set SCB_1_scl__0__INTSTAT, CYREG_PRT4_INTSTAT
.set SCB_1_scl__0__MASK, 0x01
.set SCB_1_scl__0__PC, CYREG_PRT4_PC
.set SCB_1_scl__0__PC2, CYREG_PRT4_PC2
.set SCB_1_scl__0__PORT, 4
.set SCB_1_scl__0__PS, CYREG_PRT4_PS
.set SCB_1_scl__0__SHIFT, 0
.set SCB_1_scl__DR, CYREG_PRT4_DR
.set SCB_1_scl__INTCFG, CYREG_PRT4_INTCFG
.set SCB_1_scl__INTSTAT, CYREG_PRT4_INTSTAT
.set SCB_1_scl__MASK, 0x01
.set SCB_1_scl__PC, CYREG_PRT4_PC
.set SCB_1_scl__PC2, CYREG_PRT4_PC2
.set SCB_1_scl__PORT, 4
.set SCB_1_scl__PS, CYREG_PRT4_PS
.set SCB_1_scl__SHIFT, 0

/* SCB_1_sda */
.set SCB_1_sda__0__DM__MASK, 0x38
.set SCB_1_sda__0__DM__SHIFT, 3
.set SCB_1_sda__0__DR, CYREG_PRT4_DR
.set SCB_1_sda__0__HSIOM, CYREG_HSIOM_PORT_SEL4
.set SCB_1_sda__0__HSIOM_MASK, 0x000000F0
.set SCB_1_sda__0__HSIOM_SHIFT, 4
.set SCB_1_sda__0__INTCFG, CYREG_PRT4_INTCFG
.set SCB_1_sda__0__INTSTAT, CYREG_PRT4_INTSTAT
.set SCB_1_sda__0__MASK, 0x02
.set SCB_1_sda__0__PC, CYREG_PRT4_PC
.set SCB_1_sda__0__PC2, CYREG_PRT4_PC2
.set SCB_1_sda__0__PORT, 4
.set SCB_1_sda__0__PS, CYREG_PRT4_PS
.set SCB_1_sda__0__SHIFT, 1
.set SCB_1_sda__DR, CYREG_PRT4_DR
.set SCB_1_sda__INTCFG, CYREG_PRT4_INTCFG
.set SCB_1_sda__INTSTAT, CYREG_PRT4_INTSTAT
.set SCB_1_sda__MASK, 0x02
.set SCB_1_sda__PC, CYREG_PRT4_PC
.set SCB_1_sda__PC2, CYREG_PRT4_PC2
.set SCB_1_sda__PORT, 4
.set SCB_1_sda__PS, CYREG_PRT4_PS
.set SCB_1_sda__SHIFT, 1

/* Miscellaneous */
/* -- WARNING: define names containing LEOPARD or PANTHER are deprecated and will be removed in a future release */
.set CYDEV_DEBUG_PROTECT_OPEN, 1
.set CYDEV_DEBUGGING_DPS_SWD, 2
.set CYDEV_CONFIG_UNUSED_IO_AllowButWarn, 0
.set CYDEV_CONFIGURATION_MODE_COMPRESSED, 0
.set CYDEV_CHIP_REV_PSOC4A_PRODUCTION, 17
.set CYDEV_CHIP_REVISION_4A_PRODUCTION, 17
.set CYDEV_CHIP_MEMBER_4A, 2
.set CYDEV_CHIP_FAMILY_PSOC4, 2
.set CYDEV_CHIP_DIE_PSOC4A, 2
.set CYDEV_CHIP_DIE_EXPECT, CYDEV_CHIP_DIE_PSOC4A
.set CYDEV_BCLK__HFCLK__HZ, 24000000
.set CYDEV_BCLK__HFCLK__KHZ, 24000
.set CYDEV_BCLK__HFCLK__MHZ, 24
.set CYDEV_BCLK__SYSCLK__HZ, 24000000
.set CYDEV_BCLK__SYSCLK__KHZ, 24000
.set CYDEV_BCLK__SYSCLK__MHZ, 24
.set CYDEV_CHIP_DIE_ACTUAL, CYDEV_CHIP_DIE_EXPECT
.set CYDEV_CHIP_DIE_LEOPARD, 1
.set CYDEV_CHIP_DIE_PANTHER, 3
.set CYDEV_CHIP_DIE_PSOC5LP, 4
.set CYDEV_CHIP_DIE_UNKNOWN, 0
.set CYDEV_CHIP_FAMILY_PSOC3, 1
.set CYDEV_CHIP_FAMILY_PSOC5, 3
.set CYDEV_CHIP_FAMILY_UNKNOWN, 0
.set CYDEV_CHIP_FAMILY_USED, CYDEV_CHIP_FAMILY_PSOC4
.set CYDEV_CHIP_JTAG_ID, 0x04C81193
.set CYDEV_CHIP_MEMBER_3A, 1
.set CYDEV_CHIP_MEMBER_5A, 3
.set CYDEV_CHIP_MEMBER_5B, 4
.set CYDEV_CHIP_MEMBER_UNKNOWN, 0
.set CYDEV_CHIP_MEMBER_USED, CYDEV_CHIP_MEMBER_4A
.set CYDEV_CHIP_REVISION_3A_ES1, 0
.set CYDEV_CHIP_REVISION_3A_ES2, 1
.set CYDEV_CHIP_REVISION_3A_ES3, 3
.set CYDEV_CHIP_REVISION_3A_PRODUCTION, 3
.set CYDEV_CHIP_REVISION_4A_ES0, 17
.set CYDEV_CHIP_REVISION_5A_ES0, 0
.set CYDEV_CHIP_REVISION_5A_ES1, 1
.set CYDEV_CHIP_REVISION_5A_PRODUCTION, 1
.set CYDEV_CHIP_REVISION_5B_ES0, 0
.set CYDEV_CHIP_REVISION_5B_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_USED, CYDEV_CHIP_REVISION_4A_PRODUCTION
.set CYDEV_CHIP_REV_EXPECT, CYDEV_CHIP_REV_PSOC4A_PRODUCTION
.set CYDEV_CHIP_REV_LEOPARD_ES1, 0
.set CYDEV_CHIP_REV_LEOPARD_ES2, 1
.set CYDEV_CHIP_REV_LEOPARD_ES3, 3
.set CYDEV_CHIP_REV_LEOPARD_PRODUCTION, 3
.set CYDEV_CHIP_REV_PANTHER_ES0, 0
.set CYDEV_CHIP_REV_PANTHER_ES1, 1
.set CYDEV_CHIP_REV_PANTHER_PRODUCTION, 1
.set CYDEV_CHIP_REV_PSOC4A_ES0, 17
.set CYDEV_CHIP_REV_PSOC5LP_ES0, 0
.set CYDEV_CHIP_REV_PSOC5LP_PRODUCTION, 0
.set CYDEV_CONFIGURATION_COMPRESSED, 1
.set CYDEV_CONFIGURATION_MODE, CYDEV_CONFIGURATION_MODE_COMPRESSED
.set CYDEV_CONFIGURATION_MODE_DMA, 2
.set CYDEV_CONFIGURATION_MODE_UNCOMPRESSED, 1
.set CYDEV_CONFIG_READ_ACCELERATOR, 1
.set CYDEV_CONFIG_UNUSED_IO, CYDEV_CONFIG_UNUSED_IO_AllowButWarn
.set CYDEV_CONFIG_UNUSED_IO_AllowWithInfo, 1
.set CYDEV_CONFIG_UNUSED_IO_Disallowed, 2
.set CYDEV_DEBUGGING_DPS, CYDEV_DEBUGGING_DPS_SWD
.set CYDEV_DEBUGGING_DPS_Disable, 3
.set CYDEV_DEBUGGING_ENABLE, 1
.set CYDEV_DEBUG_PROTECT, CYDEV_DEBUG_PROTECT_OPEN
.set CYDEV_DEBUG_PROTECT_KILL, 4
.set CYDEV_DEBUG_PROTECT_PROTECTED, 2
.set CYDEV_HEAP_SIZE, 0x0100
.set CYDEV_PROJ_TYPE, 0
.set CYDEV_PROJ_TYPE_BOOTLOADER, 1
.set CYDEV_PROJ_TYPE_LOADABLE, 2
.set CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER, 3
.set CYDEV_PROJ_TYPE_STANDARD, 0
.set CYDEV_STACK_SIZE, 0x0400
.set CYDEV_USE_BUNDLED_CMSIS, 1
.set CYDEV_VARIABLE_VDDA, 1
.set CYDEV_VDDA_MV, 3300
.set CYDEV_VDDD_MV, 3300
.set CYDEV_BOOTLOADER_ENABLE, 0
.endif
